const mongoose = require("mongoose");
const Schema = mongoose.Schema;

const newSupportSchema = new Schema({
    userId: {
        type: Schema.Types.ObjectId,
        ref: "User",
        required: true
    },
    name: {
        type: String,
        required: true
    },
    email: {
        type: String,
        required: true
    },
    message: {
        type: String,
        required: true
    }
}, {timestamps: true});

const supportModel = mongoose.model("Support", newSupportSchema);
module.exports = supportModel;